Bug 130880 - Crash on any function if parameter is infinity
Summary: Crash on any function if parameter is infinity
Status: RESOLVED FIXED
Alias: None
Product: kcalc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Klaus Niederkrüger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-15 23:36 UTC by Yury Soldak
Modified: 2006-07-22 11:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yury Soldak 2006-07-15 23:36:32 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    Debian testing/unstable Packages
OS:                Linux

KCalc just crashes if you try to call function like "log" or "sin" on infinity ("inf" on display). To make infinity value just press "1/x" button when display shows "0".

It would be nice to write smth like "error" on display in these cases instead of crashing.
Comment 1 Yury Soldak 2006-07-15 23:39:09 UTC
KCalc version is 2.0.3
Comment 2 Klaus Niederkrüger 2006-07-21 10:30:58 UTC
For me it does not crash, but it always gives (for sin, cos, log, etc.)

2.69..e308

So I agree that you are right: There must be an unhandled error. I will have a look.

Thanks

Klaus
Comment 3 Klaus Niederkrüger 2006-07-22 11:24:06 UTC
Thanks for the bug report. I just fixed everything for KCalc 2.0.4